reset
set terminal png         # figure format
set output 'Graphene.png'    # figure file name
unset key                # delete key
set title 'Unfolded Energy Bands of Graphene'                                 # write title
set label 'Fermi Energy' at 0.1,  -0.8278 textcolor rgb 'green'     # write Fermi energy label 
set ylabel 'Energy (eV)'    # write y label
set yrange [-10:12]         # set the range of y axis
set ytics -10, 5, 12       # set the tics of y axis 
set xrange [0:1.61803399]   # set the range of x axis
set xtics ('K' 0, 'G' 0.74535599, 'M' 1.24535599 , 'K' 1.61803399 ) # set the tics of x axis
rgb(r,g,b) = 65536 * int(r) + 256 * int(g) + int(b)      # rgb color function
plot 'bands_unfold.dat' using 1:2:($3*0.7):(rgb((1-$3)*255,(1-$3)*255,255)) with points ps var lc rgb var, \
      'boundaries_unfold.dat' using 1:2  with lines lc rgb 'black' lt 'dash' lw 1, \
       -1.2278 lt 'dash' lc rgb 'green' lw 1.5
      # plot unfolded energy bands with blue colors  
      # plot the high symmetry point by using vertical lines  
      # plot Fermi energy
